This is an automated email from the git hooks/post-receive script.

glondu pushed a commit to branch master
in repository pxp.

commit 82eda76f8180924978b9abc233930a8081075883
Author: Stephane Glondu <st...@glondu.net>
Date:   Mon May 4 20:19:56 2015 -0300

    Imported Upstream version 1.2.7
---
 Makefile   |  8 +++++++-
 README     |  2 ++
 _oasis     | 15 ++++++++-------
 configure  | 44 ++++++++++++++++++++++++++++++++++++++++++--
 doc/README |  2 ++
 setup.ml   | 22 ++++++++++++----------
 6 files changed, 73 insertions(+), 20 deletions(-)

diff --git a/Makefile b/Makefile
index edbc6a2..7b1cc82 100644
--- a/Makefile
+++ b/Makefile
@@ -77,6 +77,12 @@ RELEASE:
        ./configure -version >RELEASE
 
 # for oasis
+.PHONY: _oasis
+_oasis: _oasis.in
+       sed -e 's/@VERSION@/$(VERSION)/' _oasis.in >_oasis
+       oasis setup
+
 .PHONY: postconf
 postconf:
-       echo 'pkg_version="$(VERSION)"' >>setup.data
+       cat setup.save >>setup.data
+
diff --git a/README b/README
index f5b3ade..e8ee92e 100644
--- a/README
+++ b/README
@@ -141,6 +141,8 @@ Detailed feature list
 Recent Changes
 ------------------------------------------------------------------------------
 
+-  1.2.7: tweaking support for oasis.
+   
 -  1.2.6: Adding _oasis file.
    
 -  1.2.5: Build against ocamlnet-4.
diff --git a/_oasis b/_oasis
index 7fa9a49..cda7b3a 100644
--- a/_oasis
+++ b/_oasis
@@ -1,6 +1,6 @@
 OASISFormat:  0.4
-Name:         ocamlnet
-Version:      1.2.6
+Name:         pxp
+Version:      1.2.7
 Synopsis:     XML parser
 Authors:      Gerd Stolpmann et al.
 ConfType:     custom (0.4)
@@ -18,25 +18,25 @@ XCustomInstall: make install
 XCustomUninstall: make uninstall
 
 Flag "lex"
-  Description: Enable ocamllex-based lexer
+  Description: lex: Enable ocamllex-based lexer
   Default: true
 
 Flag "wlex"
-  Description: Enable wlex-based lexer (UTF-8)
+  Description: wlex: Enable wlex-based lexer (UTF-8)
   Default: false
 
 Flag "ulex"
-  Description: Enable ulex-based lexer (UTF-8)
+  Description: ulex: Enable ulex-based lexer (UTF-8)
   Default: false
 
 Flag "pp"
-  Description: Enable the preprocessor pxp-pp
+  Description: pp: Enable the preprocessor pxp-pp
   Default: true
 
 Library "pxp"
   Path: src/pxp
-  BuildDepends: pxp-engine
   Build: true
+  BuildDepends: pxp-engine
 
 Library "pxp-engine"
   Path: src/pxp-engine
@@ -46,6 +46,7 @@ Library "pxp-engine"
 Library "pxp-pp"
   Path: src/pxp-pp
   BuildDepends: pxp
+  BuildDepends: camlp4
   Build: false
   if flag(pp)
     Build: true
diff --git a/configure b/configure
index 0f1577f..8606d76 100755
--- a/configure
+++ b/configure
@@ -1,6 +1,6 @@
 #! /bin/sh
 
-# $Id: configure 764 2015-01-12 18:42:27Z gerd $
+# $Id: configure 767 2015-01-18 12:19:07Z gerd $
 
 # defaults:
 with_lex=1
@@ -9,7 +9,7 @@ with_wlex_compat=1
 with_ulex=1
 with_pp=1
 
lexlist="utf8,iso88591,iso88592,iso88593,iso88594,iso88595,iso88596,iso88597,iso88598,iso88599,iso885910,iso885913,iso885914,iso885915,iso885916"
-version="1.2.6"
+version="1.2.7"
 exec_suffix=""
 
 help_lex="Enable/disable ocamllex-based lexical analyzer for the -lexlist 
encodings"
@@ -93,12 +93,24 @@ while [ "$#" -gt 0 ]; do
                        eval "with_$opt=1"
                        shift
                        ;;
+               -enable-*)
+                       opt=`echo "$1" | sed -e 's/-enable-//' -e 's/-/_/g'`
+                       check_opt "$opt"
+                       eval "with_$opt=1"
+                       shift
+                       ;;
                -without-*)
                        opt=`echo "$1" | sed -e 's/-without-//' -e 's/-/_/g'`
                        check_opt "$opt"
                        eval "with_$opt=0"
                        shift
                        ;;
+               -disable-*)
+                       opt=`echo "$1" | sed -e 's/-disable-//' -e 's/-/_/g'`
+                       check_opt "$opt"
+                       eval "with_$opt=0"
+                       shift
+                       ;;
                -lexlist)
                        if [ "$2" = "all" ]; then
                            lexlist="$lexlist_options"
@@ -108,6 +120,14 @@ while [ "$#" -gt 0 ]; do
                        shift
                        shift
                        ;;
+                -prefix|--prefix)
+                        echo "[prefix ignored]"; shift 2 ;;
+                --prefix=)
+                        echo "[prefix ignored]"; shift ;;
+                -destdir|--destdir)
+                        echo "[destdir ignored]"; shift 2 ;;
+                --destdir=)
+                        echo "[destdir ignored]"; shift ;;
                -version*)
                        echo "$version"
                        exit 0
@@ -453,6 +473,26 @@ NETUNIDATA = $netunidata
 _EOF_
 
 ######################################################################
+# make oasis happy: setup.save will be picked up by "make postconf"
+# and will be appended to setup.data. That way the config update
+# will reach oasis.
+
+rm -f setup.save
+echo "pkg_version=\"$version\"" >>setup.save
+echo "prefix=\"<not interpreted>\"" >>setup.save
+echo "destdir=\"\"" >>setup.save
+
+for opt in $options; do
+    e="o=\$with_$opt"
+    eval "$e"
+    if [ $o -gt 0 ]; then
+        echo "$opt=\"true\"" >>setup.save
+    else
+        echo "$opt=\"false\"" >>setup.save
+    fi
+done
+
+######################################################################
 # Finish
 
 echo
diff --git a/doc/README b/doc/README
index f5b3ade..e8ee92e 100644
--- a/doc/README
+++ b/doc/README
@@ -141,6 +141,8 @@ Detailed feature list
 Recent Changes
 ------------------------------------------------------------------------------
 
+-  1.2.7: tweaking support for oasis.
+   
 -  1.2.6: Adding _oasis file.
    
 -  1.2.5: Build against ocamlnet-4.
diff --git a/setup.ml b/setup.ml
index 623402d..7c1aa80 100644
--- a/setup.ml
+++ b/setup.ml
@@ -1,7 +1,7 @@
 (* setup.ml generated for the first time by OASIS v0.4.4 *)
 
 (* OASIS_START *)
-(* DO NOT EDIT (digest: ddc83700918a1c799c7019e47de8ba1b) *)
+(* DO NOT EDIT (digest: 930fe3aa5e5c1265f3c880cede1f3de2) *)
 (*
    Regenerated by OASIS v0.4.4
    Visit http://oasis.forge.ocamlcore.org for more information and
@@ -5651,8 +5651,8 @@ let setup_t =
           findlib_version = None;
           alpha_features = [];
           beta_features = [];
-          name = "ocamlnet";
-          version = "1.2.6";
+          name = "pxp";
+          version = "1.2.7";
           license =
             OASISLicense.DEP5License
               (OASISLicense.DEP5Unit
@@ -5714,7 +5714,8 @@ let setup_t =
                      cs_plugin_data = []
                   },
                    {
-                      flag_description = Some "Enable ocamllex-based lexer";
+                      flag_description =
+                        Some "lex: Enable ocamllex-based lexer";
                       flag_default = [(OASISExpr.EBool true, true)]
                    });
                Flag
@@ -5725,7 +5726,7 @@ let setup_t =
                   },
                    {
                       flag_description =
-                        Some "Enable wlex-based lexer (UTF-8)";
+                        Some "wlex: Enable wlex-based lexer (UTF-8)";
                       flag_default = [(OASISExpr.EBool true, false)]
                    });
                Flag
@@ -5736,7 +5737,7 @@ let setup_t =
                   },
                    {
                       flag_description =
-                        Some "Enable ulex-based lexer (UTF-8)";
+                        Some "ulex: Enable ulex-based lexer (UTF-8)";
                       flag_default = [(OASISExpr.EBool true, false)]
                    });
                Flag
@@ -5746,7 +5747,8 @@ let setup_t =
                      cs_plugin_data = []
                   },
                    {
-                      flag_description = Some "Enable the preprocessor pxp-pp";
+                      flag_description =
+                        Some "pp: Enable the preprocessor pxp-pp";
                       flag_default = [(OASISExpr.EBool true, true)]
                    });
                Library
@@ -5824,7 +5826,7 @@ let setup_t =
                       bs_install = [(OASISExpr.EBool true, true)];
                       bs_path = "src/pxp-pp";
                       bs_compiled_object = Best;
-                      bs_build_depends = [InternalLibrary "pxp"];
+                      bs_build_depends = [FindlibPackage ("camlp4", None)];
                       bs_build_tools = [ExternalTool "make"];
                       bs_c_sources = [];
                       bs_data_files = [];
@@ -6435,7 +6437,7 @@ let setup_t =
        };
      oasis_fn = Some "_oasis";
      oasis_version = "0.4.4";
-     oasis_digest = Some ";\127\182M\167\0026\165\143\004\128H\139\175P\155";
+     oasis_digest = Some "c\183G{\182\136\175\236\153\135\"\215\209S\143\250";
      oasis_exec = None;
      oasis_setup_args = [];
      setup_update = false
@@ -6443,6 +6445,6 @@ let setup_t =
 
 let setup () = BaseSetup.setup setup_t;;
 
-# 6447 "setup.ml"
+# 6449 "setup.ml"
 (* OASIS_STOP *)
 let () = setup ();;

-- 
Alioth's /usr/local/bin/git-commit-notice on 
/srv/git.debian.org/git/pkg-ocaml-maint/packages/pxp.git

_______________________________________________
Pkg-ocaml-maint-commits mailing list
Pkg-ocaml-maint-commits@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-ocaml-maint-commits

Reply via email to